# Changelog

## 2024-06-23 - 4.0.7 - fix(build)
Remove GitLab CI configuration and update dependencies in package.json

- Removed .gitlab-ci.yml from the project
- Updated @git.zone/tsbuild from ^2.1.72 to ^2.1.80
- Updated @git.zone/tstest from ^1.0.86 to ^1.0.90
- Updated @push.rocks/tapbundle from ^5.0.15 to ^5.0.23
- Updated @types/node from ^20.11.19 to ^20.14.8
- Updated @push.rocks/lik from ^6.0.12 to ^6.0.15
- Updated dayjs from ^1.11.10 to ^1.11.11
- Fixed test files to export default tap.start()


```markdown
## 2024-05-29 - 4.0.6 - Maintenance Updates
Updates to configuration files and metadata.

- Updated description in the project documentation.
- Revised tsconfig settings.
- Changes to npmextra.json regarding githost configuration.

## 2023-10-20 - 4.0.5 to 4.0.6 - Maintenance Fixes
Routine fixes and updates.

- fix(core): update

## 2023-08-13 - 4.0.4 to 4.0.5 - Maintenance Fixes
Routine fixes and updates.

- fix(core): update

## 2023-07-21 - 4.0.2 to 4.0.4 - Maintenance Fixes
Routine fixes and updates.

- fix(core): update

## 2023-01-06 - 4.0.0 to 4.0.1 - Core Changes
Routine fixes and core updates.

- fix(core): update

## 2022-11-21 - 3.0.45 to 4.0.0 - Major Release
Significant changes and breaking updates.

- BREAKING CHANGE(core): switch to esm

## 2021-11-08 - 3.0.41 to 3.0.42 - Timestamp Update
Updates and bug fixes for the timestamp feature.

- fix(timestamp): add missing .isOlderThanOtherTimeStamp() to TimeStamp class
- fix(readme): fix readme
- fix(update croner): update croner package, closes #1. Thank you @Hexagon4

## 2020-09-04 - 3.0.28 to 3.0.31 - Maintenance Fixes
Routine fixes and updates.

- fix(core): update

## 2020-07-11 - 3.0.19 to 3.0.20 - Maintenance Fixes
Routine fixes and updates.

- fix(core): update

## 2020-05-25 - 3.0.12 to 3.0.16 - Maintenance Fixes
Routine fixes and updates.

- fix(core): update

## 2019-06-18 - 3.0.8 to 3.0.12 - Maintenance Fixes
Routine fixes and updates.

- fix(core): update

## 2018-10-21 - 3.0.0 to 3.0.1 - Date Handling
Updates to date and time support.

- fix(date): now supports date and time
- fix(ExtendedDate): now respects single digit dates

## 2018-10-17 - 2.0.2 to 3.0.0 - Major Release
Breaking changes and dependency updates.

- BREAKING CHANGE(deps): remove moment and use luxon

## 2018-06-10 - 2.0.0 to 2.0.1 - Core Changes
Updated and changed the scope of core functionalities.

- fix(core): update and change scope

## 2017-08-16 - 1.0.0 to 1.0.3 - Initial Implementation
Inception of project with core functionalities.

- first implementation
```